<?php
/**
 * Main Custom admin functions area
 *
 * @since SparkleThemes
 *
 * @param King_Cabs
 *
*/
if( !function_exists('kingcabs_file_directory') ){

    function kingcabs_file_directory( $file_path ){
        if( file_exists( trailingslashit( get_stylesheet_directory() ) . $file_path) ) {
            return trailingslashit( get_stylesheet_directory() ) . $file_path;
        }
        else{
            return trailingslashit( get_template_directory() ) . $file_path;
        }
    }
}

/**
 * Load Custom Admin functions that act independently of the theme functions.
*/
require kingcabs_file_directory('sparklethemes/functions.php');


/**
 * Load Custom Admin functions that act independently of the theme functions.
*/

require kingcabs_file_directory('sparklethemes/breadcrumbs.php');

/**
 * Load Font Awesome Array List.
*/
require kingcabs_file_directory('sparklethemes/font-awesome-list.php');

/**
 * Custom functions that act independently of the theme header.
*/
require kingcabs_file_directory('sparklethemes/core/custom-header.php');

/**
 * Custom functions that act independently of the theme templates.
*/
require kingcabs_file_directory('sparklethemes/core/template-functions.php');

/**
 * Custom template tags for this theme.
*/
require kingcabs_file_directory('sparklethemes/core/template-tags.php');

/**
 * Load Jetpack compatibility file.
 */

if ( defined( 'JETPACK__VERSION' ) ) {

   require kingcabs_file_directory('sparklethemes/core/jetpack.php');

}

/**
 * Load woocommerce hooks file.
*/
if ( kingcabs_is_woocommerce_activated() ) {
	
	require kingcabs_file_directory('sparklethemes/woocommerce.php');
}

/**
 * Features Widget Load File.
*/
require kingcabs_file_directory('sparklethemes/widget/features-widget.php');

require kingcabs_file_directory('sparklethemes/widget/aboutservices.php');

require kingcabs_file_directory('sparklethemes/widget/mainservicesarea.php');

require kingcabs_file_directory('sparklethemes/widget/calltoaction.php');

require kingcabs_file_directory('sparklethemes/widget/testimonial-widget.php');

require kingcabs_file_directory('sparklethemes/widget/ourfleet.php');

require kingcabs_file_directory('sparklethemes/widget/ourteammember.php');

require kingcabs_file_directory('sparklethemes/widget/brandlogo-widget.php');


require kingcabs_file_directory('sparklethemes/siteorigin-panels.php');

/**
 * Customizer additions.
*/
require kingcabs_file_directory('sparklethemes/customizer/customizer.php');

/**
 * Load  Custom Controller file.
*/
require kingcabs_file_directory('sparklethemes/customizer/kingcabs-custom-control.php');


/**
 * Load  wp-bootstrap-navwalker file.
*/
require kingcabs_file_directory('sparklethemes/wp-bootstrap-navwalker.php');